Bug 448908 - System note delete API call
System note delete API call
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Jay Dobies
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-05-29 09:33 EDT by Máirín Duffy
Modified: 2015-03-22 21:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:52:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2008-05-29 09:33:14 EDT
Description of problem:

Customer would like a method to be able to remove a 'note' from a host via the
API. He is using the system notes feature to store test suite results for
systems in each systems' profile. The notes add up fast and he would like to be
able to purge them every once in a while.
Comment 2 Jay Dobies 2009-02-18 11:12:11 EST
Commit: 0a7259862dfef347f71f28cb3ac47216621da898

- Added API calls for deleteNote and deleteNotes
Comment 3 Sayli Karmarkar 2009-03-10 19:12:49 EDT
Verified manually along with api automations tests.
Comment 4 Steve Salevan 2009-08-25 16:36:37 EDT
RELEASE_PENDING from latest Stage build; both API methods work as specified.
Comment 5 Brandon Perkins 2009-09-10 15:52:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.